## ros-humble-test-msgs 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(test_msgs)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(test_interface_files REQUIRED)

# TODO(sloretz) Change to test_msgs_interfaces when ros2/rosidl_typesupport#120 is fixed
rosidl_generate_interfaces(test_msgs
  ${test_interface_files_MSG_FILES}
  ${test_interface_files_SRV_FILES}
  ${test_interface_files_ACTION_FILES}
  ${test_interface_files_IDL_FILES}
  "msg/Builtins.msg"
  "action/NestedMessage.action"
  DEPENDENCIES builtin_interfaces
  ADD_LINTER_TESTS
)

# TODO(sloretz) Change to test_msgs when ros2/rosidl_typesupport#120 is fixed
add_library(${PROJECT_NAME}_includes INTERFACE)
target_include_directories(${PROJECT_NAME}_includes INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")

ament_export_targets(export_${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  rosidl_get_typesupport_target(c_typesupport_target "test_msgs" "rosidl_typesupport_c")
  rosidl_get_typesupport_target(cpp_typesupport_target "test_msgs" "rosidl_typesupport_cpp")

  ament_add_gtest(test_action_typesupport_c_builds
    test/test_c_type_support.cpp)
  target_link_libraries(test_action_typesupport_c_builds
    "${c_typesupport_target}")

  ament_add_gtest(test_action_typesupport_cpp_builds
    test/test_cpp_type_support.cpp)
  target_link_libraries(test_action_typesupport_cpp_builds
    "${cpp_typesupport_target}")
endif()

if(DEFINED PYTHON_INSTALL_DIR)
  install(DIRECTORY src/test_msgs
    DESTINATION "${PYTHON_INSTALL_DIR}")
endif()

install(DIRECTORY include/
  DESTINATION include/${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}_includes EXPORT export_${PROJECT_NAME})

# TODO(sloretz) stop exporting old-style CMake variables in the future
ament_export_include_directories("include/${PROJECT_NAME}")

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-test-msgs (1.2.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-test-msgs (1.2.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} and Depend on rosidl_typesupport_* targets directly (#133 <https://github.com/ros2/rcl_interfaces/issues/133>)
  * Update maintainers to Chris Lalancette (#130 <https://github.com/ros2/rcl_interfaces/issues/130>)
  * Contributors: Audrow Nash, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-test-msgs (1.1.0-1jammy) jammy; urgency=high

  * Add test fixures for BoundedPlainSequences (#125 <https://github.com/ros2/rcl_interfaces/issues/125>)
  * Added BoundedPlainSequences to test_msgs (#123 <https://github.com/ros2/rcl_interfaces/issues/123>)
  * Contributors: Miguel Company, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 06 Aug 2021 05:00:00 -0000

ros-humble-test-msgs (1.0.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-test-msgs (1.0.2-1jammy) jammy; urgency=high

  * Update package maintainers. (#112 <https://github.com/ros2/rcl_interfaces/issues/112>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 22 Feb 2021 06:00:00 -0000

ros-humble-test-msgs (1.0.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 29 Jun 2020 05:00:00 -0000

ros-humble-test-msgs (1.0.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-test-msgs (0.9.0-1jammy) jammy; urgency=high

  * Remove unused local variable (#96 <https://github.com/ros2/rcl_interfaces/issues/96>)
  * Contributors: Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 25 Apr 2020 05:00:00 -0000

ros-humble-test-msgs (0.8.0-1jammy) jammy; urgency=high

  * Add test fixtures for Arrays.srv (#84 <https://github.com/ros2/rcl_interfaces/issues/84>)
  * use idl files (if any) (#82 <https://github.com/ros2/rcl_interfaces/issues/82>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-humble-test-msgs (0.7.4-1jammy) jammy; urgency=high

  * Remove unnecessary action dependencies from CMakeLists.txt (#81 <https://github.com/ros2/rcl_interfaces/issues/81>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-test-msgs (0.7.3-1jammy) jammy; urgency=high

  * add test cases for UTF-8 encoded strings (#80 <https://github.com/ros2/rcl_interfaces/issues/80>)
  * Add UTF-8 BOM to message_fixtures.hpp file (#79 <https://github.com/ros2/rcl_interfaces/issues/79>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-test-msgs (0.7.2-1jammy) jammy; urgency=high

  * add WString tests (#78 <https://github.com/ros2/rcl_interfaces/issues/78>)
  * Build interfaces from the package test_interface_files (#77 <https://github.com/ros2/rcl_interfaces/issues/77>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-humble-test-msgs (0.7.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-humble-test-msgs (0.7.0-1jammy) jammy; urgency=high

  * update test fixtures for char type (#64 <https://github.com/ros2/rcl_interfaces/issues/64>)
  * Add action with nested messages (#62 <https://github.com/ros2/rcl_interfaces/issues/62>)
  * Contributors: Dirk Thomas, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-humble-test-msgs (0.6.2-1jammy) jammy; urgency=high

  * Fix errors from uncrustify v0.68 (#57 <https://github.com/ros2/rcl_interfaces/issues/57>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 11 Jan 2019 06:00:00 -0000

ros-humble-test-msgs (0.6.1-1jammy) jammy; urgency=high

  * remove trailing slash (#55 <https://github.com/ros2/rcl_interfaces/issues/55>)
  * Change UUID type in action_msgs (#54 <https://github.com/ros2/rcl_interfaces/issues/54>)
  * add new test messages for arrays of arrays (#52 <https://github.com/ros2/rcl_interfaces/issues/52>)
  * Contributors: Alexis Pojomovsky, Dirk Thomas, Karsten Knese

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-humble-test-msgs (0.6.0-1jammy) jammy; urgency=high

  * Generate action type support / Remove hardcoded action type support (#48 <https://github.com/ros2/rcl_interfaces/issues/48>)
  * Hardcoded typesupport for Fibonacci action (#47 <https://github.com/ros2/rcl_interfaces/issues/47>)
  * Add message fixture for DynamicArrayStaticArrayPrimitivesNested (#45 <https://github.com/ros2/rcl_interfaces/issues/45>)
  * Add test message for dynamic array of static arrays (#43 <https://github.com/ros2/rcl_interfaces/issues/43>)
  * use add_compile_options instead of setting only cxx flags
  * Only install the Python messages if PYTHON_INSTALL_DIR is defined (#37 <https://github.com/ros2/rcl_interfaces/issues/37>)
  * Contributors: Esteve Fernandez, Jacob Perron, Mikael Arguedas, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-humble-test-msgs (0.5.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jun 2018 05:00:00 -0000

ros-humble-test-msgs (0.4.0-1jammy) jammy; urgency=high

  * member of rosidl_interfaces_packages group (#28 <https://github.com/ros2/rcl_interfaces/issues/28>)
  * Merge pull request #22 <https://github.com/ros2/rcl_interfaces/issues/22> from ros2/remove_indent_off


=== debian/control ===
Source: ros-humble-test-msgs
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-test-interface-files, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-test-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-action-msgs, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-ros-workspace
Description: A package containing message definitions and fixtures used exclusively for testing purposes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-test-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
